API
在线新闻搜索直达API
在线新闻包括由数字原生媒体、报纸、广播、通讯社和网络杂志发布的报道。它对声誉、市场信号、政策发展和快速流动的公共信息至关重要。
API 参考 版本: 1.0.0 3 终端 身份验证
基本网址
https://api.pressmonitor.com 身份验证
所有请求使用 Bearer 令牌身份验证。每个调用都添加授权头。
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/headlines 头条
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| keywords_text | string | query | 是 | 关键词文本 |
| lang_code | string | query | 不 | 语言代码 |
| country_code | string | query | 不 | 国家代码 |
| count | integer | query | 不 | 数量 |
| cursor | string | query | 不 | 游标 |
| date_from | string | query | 不 | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | 不 | End date for news (YYYY-MM-DD format) |
| sort | string | query | 不 | latest|relevance(default) |
代码示例
curl -X GET "https://api.pressmonitor.com/headlines?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" 响应
200 成功
GET
/briefs 摘要
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| keywords_text | string | query | 是 | 关键词文本 |
| lang_code | string | query | 不 | 语言代码 |
| country_code | string | query | 不 | 国家代码 |
| count | integer | query | 不 | 数量 |
| cursor | string | query | 不 | 游标 |
| date_from | string | query | 不 | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | 不 | End date for news (YYYY-MM-DD format) |
| sort | string | query | 不 | latest|relevance(default) |
代码示例
curl -X GET "https://api.pressmonitor.com/briefs?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" 响应
200 成功
GET
/fulltext 全文
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| keywords_text | string | query | 是 | 关键词文本 |
| lang_code | string | query | 不 | 语言代码 |
| country_code | string | query | 不 | 国家代码 |
| count | integer | query | 不 | 数量 |
| cursor | string | query | 不 | 游标 |
| date_from | string | query | 不 | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | 不 | End date for news (YYYY-MM-DD format) |
| sort | string | query | 不 | latest|relevance(default) |
代码示例
curl -X GET "https://api.pressmonitor.com/fulltext?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" 响应
200 成功